# GstMIKEYMessage

The GstMIKEY helper functions makes it easy to parse and create MIKEY messages.

## GstMIKEYDecryptInfo

## GstSdp.MIKEYDecryptInfo

## GstMIKEYEncryptInfo

## GstSdp.MIKEYEncryptInfo

## GstMIKEYMapSRTP

The Security policy Map item for SRTP

### Members

`policy` (guint8) –

The security policy applied for the stream with ssrc

`ssrc` (guint32) –

the SSRC that must be used for the stream

`roc` (guint32) –

current rollover counter

## GstSdp.MIKEYMapSRTP

The Security policy Map item for SRTP

### Members

`policy` (Number) –

The security policy applied for the stream with ssrc

`ssrc` (Number) –

the SSRC that must be used for the stream

`roc` (Number) –

current rollover counter

## GstSdp.MIKEYMapSRTP

The Security policy Map item for SRTP

### Members

`policy` (int) –

The security policy applied for the stream with ssrc

`ssrc` (int) –

the SSRC that must be used for the stream

`roc` (int) –

current rollover counter

## GstMIKEYMessage

Structure holding the information of the MIKEY message

### Members

`version` (guint8) –

the version

`type` (GstMIKEYType) –

the GstMIKEYType message type

`V` (gboolean) –

verify flag

`prf_func` (GstMIKEYPRFFunc) –

a GstMIKEYPRFFunc

`CSB_id` (guint32) –

Identifies the Crypto Session Bundle

`map_type` (GstMIKEYMapType) –

a GstMIKEYMapType

`map_info` (GArray *) –

map info array of type depending on map_type

`payloads` (GArray *) –

the payload array of GstMIKEYPayload

## GstSdp.MIKEYMessage

Structure holding the information of the MIKEY message

### Members

`version` (Number) –

the version

`type` (GstSdp.MIKEYType) –

the GstSdp.MIKEYType message type

`V` (Number) –

verify flag

`prf_func` (GstSdp.MIKEYPRFFunc) –

a GstSdp.MIKEYPRFFunc

`CSB_id` (Number) –

Identifies the Crypto Session Bundle

`map_type` (GstSdp.MIKEYMapType) –

a GstSdp.MIKEYMapType

`map_info` ([ Object ]) –

map info array of type depending on map_type

`payloads` ([ Object ]) –

the payload array of GstSdp.MIKEYPayload

## GstSdp.MIKEYMessage

Structure holding the information of the MIKEY message

### Members

`version` (int) –

the version

`type` (GstSdp.MIKEYType) –

the GstSdp.MIKEYType message type

`V` (bool) –

verify flag

`prf_func` (GstSdp.MIKEYPRFFunc) –

a GstSdp.MIKEYPRFFunc

`CSB_id` (int) –

Identifies the Crypto Session Bundle

`map_type` (GstSdp.MIKEYMapType) –

a GstSdp.MIKEYMapType

`map_info` ([ object ]) –

map info array of type depending on map_type

`payloads` ([ object ]) –

the payload array of GstSdp.MIKEYPayload

### Constructors

#### gst_mikey_message_new

    GstMIKEYMessage *
    gst_mikey_message_new ()

Make a new MIKEY message.

Returns ( [transfer: full]) –

a new GstMIKEYMessage on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.new

    function GstSdp.MIKEYMessage.prototype.new(): {
        // javascript wrapper for 'gst_mikey_message_new'
    }

Make a new MIKEY message.

Returns (GstSdp.MIKEYMessage) –

a new GstSdp.MIKEYMessage on success

Since : 1.4

#### GstSdp.MIKEYMessage.new

    def GstSdp.MIKEYMessage.new ():
        #python wrapper for 'gst_mikey_message_new'

Make a new MIKEY message.

Returns (GstSdp.MIKEYMessage) –

a new GstSdp.MIKEYMessage on success

Since : 1.4

#### gst_mikey_message_new_from_bytes

    GstMIKEYMessage *
    gst_mikey_message_new_from_bytes (GBytes * bytes,
                                      GstMIKEYDecryptInfo * info,
                                      GError ** error)

Make a new GstMIKEYMessage from bytes.

Parameters:

`bytes` –

a GBytes

`info` –

a GstMIKEYDecryptInfo

`error` –

a GError

Returns ( [transfer: full]) –

a new GstMIKEYMessage

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.new_from_bytes

    function GstSdp.MIKEYMessage.prototype.new_from_bytes(bytes: GBytes (not introspectable), info: GstSdp.MIKEYDecryptInfo): {
        // javascript wrapper for 'gst_mikey_message_new_from_bytes'
    }

Make a new GstSdp.MIKEYMessage from bytes.

Parameters:

`bytes` (GBytes (not introspectable)) –

a GBytes (not introspectable)

`info` (GstSdp.MIKEYDecryptInfo) –

a GstSdp.MIKEYDecryptInfo

Returns (GstSdp.MIKEYMessage) –

a new GstSdp.MIKEYMessage

Since : 1.4

#### GstSdp.MIKEYMessage.new_from_bytes

    @raises(GLib.GError)
    def GstSdp.MIKEYMessage.new_from_bytes (bytes, info):
        #python wrapper for 'gst_mikey_message_new_from_bytes'

Make a new GstSdp.MIKEYMessage from bytes.

Parameters:

`bytes` (GBytes (not introspectable)) –

a GBytes (not introspectable)

`info` (GstSdp.MIKEYDecryptInfo) –

a GstSdp.MIKEYDecryptInfo

Returns (GstSdp.MIKEYMessage) –

a new GstSdp.MIKEYMessage

Since : 1.4

#### gst_mikey_message_new_from_caps

    GstMIKEYMessage *
    gst_mikey_message_new_from_caps (GstCaps * caps)

Makes mikey message including:

- Security Policy Payload
- Key Data Transport Payload
- Key Data Sub-Payload

Parameters:

`caps` –

a GstCaps, including SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns ( [transfer: full][nullable]) –

a GstMIKEYMessage, or NULL if there is no srtp information in the caps.

Since : 1.8

#### GstSdp.MIKEYMessage.prototype.new_from_caps

    function GstSdp.MIKEYMessage.prototype.new_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_mikey_message_new_from_caps'
    }

Makes mikey message including:

- Security Policy Payload
- Key Data Transport Payload
- Key Data Sub-Payload

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps, including SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage, or null if there is no srtp information in the caps.

Since : 1.8

#### GstSdp.MIKEYMessage.new_from_caps

    def GstSdp.MIKEYMessage.new_from_caps (caps):
        #python wrapper for 'gst_mikey_message_new_from_caps'

Makes mikey message including:

- Security Policy Payload
- Key Data Transport Payload
- Key Data Sub-Payload

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps, including SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage, or None if there is no srtp information in the caps.

Since : 1.8

#### gst_mikey_message_new_from_data

    GstMIKEYMessage *
    gst_mikey_message_new_from_data (gconstpointer data,
                                     gsize size,
                                     GstMIKEYDecryptInfo * info,
                                     GError ** error)

Parse size bytes from data into a GstMIKEYMessage. info contains the parameters to decrypt and verify the data.

Parameters:

`data` ( [array length=size][element-type guint8]) –

bytes to read

`size` –

length of data

`info` –

GstMIKEYDecryptInfo

`error` –

a GError

Returns ( [transfer: full]) –

a GstMIKEYMessage on success or NULL when parsing failed and error will be set.

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.new_from_data

    function GstSdp.MIKEYMessage.prototype.new_from_data(data: [ Number ], size: Number, info: GstSdp.MIKEYDecryptInfo): {
        // javascript wrapper for 'gst_mikey_message_new_from_data'
    }

Parse size bytes from data into a GstSdp.MIKEYMessage. info contains the parameters to decrypt and verify the data.

Parameters:

`data` ([ Number ]) –

bytes to read

`size` (Number) –

length of data

`info` (GstSdp.MIKEYDecryptInfo) –

GstSdp.MIKEYDecryptInfo

Returns (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage on success or null when parsing failed and error will be set.

Since : 1.4

#### GstSdp.MIKEYMessage.new_from_data

    @raises(GLib.GError)
    def GstSdp.MIKEYMessage.new_from_data (data, size, info):
        #python wrapper for 'gst_mikey_message_new_from_data'

Parse size bytes from data into a GstSdp.MIKEYMessage. info contains the parameters to decrypt and verify the data.

Parameters:

`data` ([ int ]) –

bytes to read

`size` (int) –

length of data

`info` (GstSdp.MIKEYDecryptInfo) –

GstSdp.MIKEYDecryptInfo

Returns (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage on success or None when parsing failed and error will be set.

Since : 1.4

### Methods

#### gst_mikey_message_add_cs_srtp

    gboolean
    gst_mikey_message_add_cs_srtp (GstMIKEYMessage * msg,
                                   guint8 policy,
                                   guint32 ssrc,
                                   guint32 roc)

Add a Crypto policy for SRTP to msg.

Parameters:

`msg` –

a GstMIKEYMessage

`policy` –

The security policy applied for the stream with ssrc

`ssrc` –

the SSRC that must be used for the stream

`roc` –

current rollover counter

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_cs_srtp

    function GstSdp.MIKEYMessage.prototype.add_cs_srtp(policy: Number, ssrc: Number, roc: Number): {
        // javascript wrapper for 'gst_mikey_message_add_cs_srtp'
    }

Add a Crypto policy for SRTP to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`policy` (Number) –

The security policy applied for the stream with ssrc

`ssrc` (Number) –

the SSRC that must be used for the stream

`roc` (Number) –

current rollover counter

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_cs_srtp

    def GstSdp.MIKEYMessage.add_cs_srtp (self, policy, ssrc, roc):
        #python wrapper for 'gst_mikey_message_add_cs_srtp'

Add a Crypto policy for SRTP to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`policy` (int) –

The security policy applied for the stream with ssrc

`ssrc` (int) –

the SSRC that must be used for the stream

`roc` (int) –

current rollover counter

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_payload

    gboolean
    gst_mikey_message_add_payload (GstMIKEYMessage * msg,
                                   GstMIKEYPayload * payload)

Add a new payload to msg.

Parameters:

`msg` –

a GstMIKEYMessage

`payload` ( [transfer: full]) –

a GstMIKEYPayload

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_payload

    function GstSdp.MIKEYMessage.prototype.add_payload(payload: GstSdp.MIKEYPayload): {
        // javascript wrapper for 'gst_mikey_message_add_payload'
    }

Add a new payload to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_payload

    def GstSdp.MIKEYMessage.add_payload (self, payload):
        #python wrapper for 'gst_mikey_message_add_payload'

Add a new payload to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_pke

    gboolean
    gst_mikey_message_add_pke (GstMIKEYMessage * msg,
                               GstMIKEYCacheType C,
                               guint16 data_len,
                               const guint8 * data)

Add a new PKE payload to msg with the given parameters.

Parameters:

`msg` –

a GstMIKEYMessage

`C` –

envelope key cache indicator

`data_len` –

the length of data

`data` ( [array length=data_len]) –

the encrypted envelope key

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_pke

    function GstSdp.MIKEYMessage.prototype.add_pke(C: GstSdp.MIKEYCacheType, data_len: Number, data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_message_add_pke'
    }

Add a new PKE payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (Number) –

the length of data

`data` ([ Number ]) –

the encrypted envelope key

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_pke

    def GstSdp.MIKEYMessage.add_pke (self, C, data_len, data):
        #python wrapper for 'gst_mikey_message_add_pke'

Add a new PKE payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (int) –

the length of data

`data` ([ int ]) –

the encrypted envelope key

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_rand

    gboolean
    gst_mikey_message_add_rand (GstMIKEYMessage * msg,
                                guint8 len,
                                const guint8 * rand)

Add a new RAND payload to msg with the given parameters.

Parameters:

`msg` –

a GstMIKEYMessage

`len` –

the length of rand

`rand` ( [array length=len]) –

random data

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_rand

    function GstSdp.MIKEYMessage.prototype.add_rand(len: Number, rand: [ Number ]): {
        // javascript wrapper for 'gst_mikey_message_add_rand'
    }

Add a new RAND payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`len` (Number) –

the length of rand

`rand` ([ Number ]) –

random data

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_rand

    def GstSdp.MIKEYMessage.add_rand (self, len, rand):
        #python wrapper for 'gst_mikey_message_add_rand'

Add a new RAND payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`len` (int) –

the length of rand

`rand` ([ int ]) –

random data

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_rand_len

    gboolean
    gst_mikey_message_add_rand_len (GstMIKEYMessage * msg,
                                    guint8 len)

Add a new RAND payload to msg with len random bytes.

Parameters:

`msg` –

a GstMIKEYMessage

`len` –

length

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_rand_len

    function GstSdp.MIKEYMessage.prototype.add_rand_len(len: Number): {
        // javascript wrapper for 'gst_mikey_message_add_rand_len'
    }

Add a new RAND payload to msg with len random bytes.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`len` (Number) –

length

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_rand_len

    def GstSdp.MIKEYMessage.add_rand_len (self, len):
        #python wrapper for 'gst_mikey_message_add_rand_len'

Add a new RAND payload to msg with len random bytes.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`len` (int) –

length

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_t

    gboolean
    gst_mikey_message_add_t (GstMIKEYMessage * msg,
                             GstMIKEYTSType type,
                             const guint8 * ts_value)

Add a new T payload to msg with the given parameters.

Parameters:

`msg` –

a GstMIKEYMessage

`type` –

specifies the timestamp type used

`ts_value` ( [array]) –

The timestamp value of the specified type

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_t

    function GstSdp.MIKEYMessage.prototype.add_t(type: GstSdp.MIKEYTSType, ts_value: [ Number ]): {
        // javascript wrapper for 'gst_mikey_message_add_t'
    }

Add a new T payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`type` (GstSdp.MIKEYTSType) –

specifies the timestamp type used

`ts_value` ([ Number ]) –

The timestamp value of the specified type

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_t

    def GstSdp.MIKEYMessage.add_t (self, type, ts_value):
        #python wrapper for 'gst_mikey_message_add_t'

Add a new T payload to msg with the given parameters.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`type` (GstSdp.MIKEYTSType) –

specifies the timestamp type used

`ts_value` ([ int ]) –

The timestamp value of the specified type

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_add_t_now_ntp_utc

    gboolean
    gst_mikey_message_add_t_now_ntp_utc (GstMIKEYMessage * msg)

Add a new T payload to msg that contains the current time in NTP-UTC format.

Parameters:

`msg` –

a GstMIKEYMessage

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.add_t_now_ntp_utc

    function GstSdp.MIKEYMessage.prototype.add_t_now_ntp_utc(): {
        // javascript wrapper for 'gst_mikey_message_add_t_now_ntp_utc'
    }

Add a new T payload to msg that contains the current time in NTP-UTC format.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.add_t_now_ntp_utc

    def GstSdp.MIKEYMessage.add_t_now_ntp_utc (self):
        #python wrapper for 'gst_mikey_message_add_t_now_ntp_utc'

Add a new T payload to msg that contains the current time in NTP-UTC format.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_base64_encode

    gchar *
    gst_mikey_message_base64_encode (GstMIKEYMessage * msg)

Parameters:

`msg` –

a GstMIKEYMessage

Returns ( [transfer: full]) –

a gchar, base64-encoded data

Since : 1.8

#### GstSdp.MIKEYMessage.prototype.base64_encode

    function GstSdp.MIKEYMessage.prototype.base64_encode(): {
        // javascript wrapper for 'gst_mikey_message_base64_encode'
    }

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (String) –

a String, base64-encoded data

Since : 1.8

#### GstSdp.MIKEYMessage.base64_encode

    def GstSdp.MIKEYMessage.base64_encode (self):
        #python wrapper for 'gst_mikey_message_base64_encode'

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (str) –

a int, base64-encoded data

Since : 1.8

#### gst_mikey_message_find_payload

    const GstMIKEYPayload *
    gst_mikey_message_find_payload (const GstMIKEYMessage * msg,
                                    GstMIKEYPayloadType type,
                                    guint nth)

Find the nth occurrence of the payload with type in msg.

Parameters:

`msg` –

a GstMIKEYMessage

`type` –

a GstMIKEYPayloadType

`nth` –

payload to find

Returns ( [transfer: none][nullable]) –

the nth GstMIKEYPayload of type.

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.find_payload

    function GstSdp.MIKEYMessage.prototype.find_payload(type: GstSdp.MIKEYPayloadType, nth: Number): {
        // javascript wrapper for 'gst_mikey_message_find_payload'
    }

Find the nth occurrence of the payload with type in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`type` (GstSdp.MIKEYPayloadType) –

a GstSdp.MIKEYPayloadType

`nth` (Number) –

payload to find

Returns (GstSdp.MIKEYPayload) –

the nth GstSdp.MIKEYPayload of type.

Since : 1.4

#### GstSdp.MIKEYMessage.find_payload

    def GstSdp.MIKEYMessage.find_payload (self, type, nth):
        #python wrapper for 'gst_mikey_message_find_payload'

Find the nth occurrence of the payload with type in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`type` (GstSdp.MIKEYPayloadType) –

a GstSdp.MIKEYPayloadType

`nth` (int) –

payload to find

Returns (GstSdp.MIKEYPayload) –

the nth GstSdp.MIKEYPayload of type.

Since : 1.4

#### gst_mikey_message_get_cs_srtp

    const GstMIKEYMapSRTP *
    gst_mikey_message_get_cs_srtp (const GstMIKEYMessage * msg,
                                   guint idx)

Get the policy information of msg at idx.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

an index

Returns ( [transfer: none][nullable]) –

a GstMIKEYMapSRTP

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.get_cs_srtp

    function GstSdp.MIKEYMessage.prototype.get_cs_srtp(idx: Number): {
        // javascript wrapper for 'gst_mikey_message_get_cs_srtp'
    }

Get the policy information of msg at idx.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

an index

Returns (GstSdp.MIKEYMapSRTP) –

a GstSdp.MIKEYMapSRTP

Since : 1.4

#### GstSdp.MIKEYMessage.get_cs_srtp

    def GstSdp.MIKEYMessage.get_cs_srtp (self, idx):
        #python wrapper for 'gst_mikey_message_get_cs_srtp'

Get the policy information of msg at idx.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

an index

Returns (GstSdp.MIKEYMapSRTP) –

a GstSdp.MIKEYMapSRTP

Since : 1.4

#### gst_mikey_message_get_n_cs

    guint
    gst_mikey_message_get_n_cs (const GstMIKEYMessage * msg)

Get the number of crypto sessions in msg.

Parameters:

`msg` –

a GstMIKEYMessage

Returns –

the number of crypto sessions

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.get_n_cs

    function GstSdp.MIKEYMessage.prototype.get_n_cs(): {
        // javascript wrapper for 'gst_mikey_message_get_n_cs'
    }

Get the number of crypto sessions in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (Number) –

the number of crypto sessions

Since : 1.4

#### GstSdp.MIKEYMessage.get_n_cs

    def GstSdp.MIKEYMessage.get_n_cs (self):
        #python wrapper for 'gst_mikey_message_get_n_cs'

Get the number of crypto sessions in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (int) –

the number of crypto sessions

Since : 1.4

#### gst_mikey_message_get_n_payloads

    guint
    gst_mikey_message_get_n_payloads (const GstMIKEYMessage * msg)

Get the number of payloads in msg.

Parameters:

`msg` –

a GstMIKEYMessage

Returns –

the number of payloads in msg

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.get_n_payloads

    function GstSdp.MIKEYMessage.prototype.get_n_payloads(): {
        // javascript wrapper for 'gst_mikey_message_get_n_payloads'
    }

Get the number of payloads in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (Number) –

the number of payloads in msg

Since : 1.4

#### GstSdp.MIKEYMessage.get_n_payloads

    def GstSdp.MIKEYMessage.get_n_payloads (self):
        #python wrapper for 'gst_mikey_message_get_n_payloads'

Get the number of payloads in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

Returns (int) –

the number of payloads in msg

Since : 1.4

#### gst_mikey_message_get_payload

    const GstMIKEYPayload *
    gst_mikey_message_get_payload (const GstMIKEYMessage * msg,
                                   guint idx)

Get the GstMIKEYPayload at idx in msg

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

an index

Returns ( [transfer: none][nullable]) –

the GstMIKEYPayload at idx. The payload remains valid for as long as it is part of msg.

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.get_payload

    function GstSdp.MIKEYMessage.prototype.get_payload(idx: Number): {
        // javascript wrapper for 'gst_mikey_message_get_payload'
    }

Get the GstSdp.MIKEYPayload at idx in msg

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

an index

Returns (GstSdp.MIKEYPayload) –

the GstSdp.MIKEYPayload at idx. The payload remains valid for as long as it is part of msg.

Since : 1.4

#### GstSdp.MIKEYMessage.get_payload

    def GstSdp.MIKEYMessage.get_payload (self, idx):
        #python wrapper for 'gst_mikey_message_get_payload'

Get the GstSdp.MIKEYPayload at idx in msg

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

an index

Returns (GstSdp.MIKEYPayload) –

the GstSdp.MIKEYPayload at idx. The payload remains valid for as long as it is part of msg.

Since : 1.4

#### gst_mikey_message_insert_cs_srtp

    gboolean
    gst_mikey_message_insert_cs_srtp (GstMIKEYMessage * msg,
                                      gint idx,
                                      const GstMIKEYMapSRTP * map)

Insert a Crypto Session map for SRTP in msg at idx

When idx is -1, the policy will be appended.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

the index to insert at

`map` –

the map info

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.insert_cs_srtp

    function GstSdp.MIKEYMessage.prototype.insert_cs_srtp(idx: Number, map: GstSdp.MIKEYMapSRTP): {
        // javascript wrapper for 'gst_mikey_message_insert_cs_srtp'
    }

Insert a Crypto Session map for SRTP in msg at idx

When idx is -1, the policy will be appended.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

the index to insert at

`map` (GstSdp.MIKEYMapSRTP) –

the map info

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.insert_cs_srtp

    def GstSdp.MIKEYMessage.insert_cs_srtp (self, idx, map):
        #python wrapper for 'gst_mikey_message_insert_cs_srtp'

Insert a Crypto Session map for SRTP in msg at idx

When idx is -1, the policy will be appended.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

the index to insert at

`map` (GstSdp.MIKEYMapSRTP) –

the map info

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_insert_payload

    gboolean
    gst_mikey_message_insert_payload (GstMIKEYMessage * msg,
                                      guint idx,
                                      GstMIKEYPayload * payload)

Insert the payload at index idx in msg. If idx is -1, the payload will be appended to msg.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

an index

`payload` ( [transfer: full]) –

a GstMIKEYPayload

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.insert_payload

    function GstSdp.MIKEYMessage.prototype.insert_payload(idx: Number, payload: GstSdp.MIKEYPayload): {
        // javascript wrapper for 'gst_mikey_message_insert_payload'
    }

Insert the payload at index idx in msg. If idx is -1, the payload will be appended to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

an index

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.insert_payload

    def GstSdp.MIKEYMessage.insert_payload (self, idx, payload):
        #python wrapper for 'gst_mikey_message_insert_payload'

Insert the payload at index idx in msg. If idx is -1, the payload will be appended to msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

an index

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_remove_cs_srtp

    gboolean
    gst_mikey_message_remove_cs_srtp (GstMIKEYMessage * msg,
                                      gint idx)

Remove the SRTP policy at idx.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

the index to remove

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.remove_cs_srtp

    function GstSdp.MIKEYMessage.prototype.remove_cs_srtp(idx: Number): {
        // javascript wrapper for 'gst_mikey_message_remove_cs_srtp'
    }

Remove the SRTP policy at idx.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

the index to remove

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.remove_cs_srtp

    def GstSdp.MIKEYMessage.remove_cs_srtp (self, idx):
        #python wrapper for 'gst_mikey_message_remove_cs_srtp'

Remove the SRTP policy at idx.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

the index to remove

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_remove_payload

    gboolean
    gst_mikey_message_remove_payload (GstMIKEYMessage * msg,
                                      guint idx)

Remove the payload in msg at idx

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

an index

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.remove_payload

    function GstSdp.MIKEYMessage.prototype.remove_payload(idx: Number): {
        // javascript wrapper for 'gst_mikey_message_remove_payload'
    }

Remove the payload in msg at idx

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

an index

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.remove_payload

    def GstSdp.MIKEYMessage.remove_payload (self, idx):
        #python wrapper for 'gst_mikey_message_remove_payload'

Remove the payload in msg at idx

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

an index

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_replace_cs_srtp

    gboolean
    gst_mikey_message_replace_cs_srtp (GstMIKEYMessage * msg,
                                       gint idx,
                                       const GstMIKEYMapSRTP * map)

Replace a Crypto Session map for SRTP in msg at idx with map.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

the index to insert at

`map` –

the map info

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.replace_cs_srtp

    function GstSdp.MIKEYMessage.prototype.replace_cs_srtp(idx: Number, map: GstSdp.MIKEYMapSRTP): {
        // javascript wrapper for 'gst_mikey_message_replace_cs_srtp'
    }

Replace a Crypto Session map for SRTP in msg at idx with map.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

the index to insert at

`map` (GstSdp.MIKEYMapSRTP) –

the map info

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.replace_cs_srtp

    def GstSdp.MIKEYMessage.replace_cs_srtp (self, idx, map):
        #python wrapper for 'gst_mikey_message_replace_cs_srtp'

Replace a Crypto Session map for SRTP in msg at idx with map.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

the index to insert at

`map` (GstSdp.MIKEYMapSRTP) –

the map info

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_replace_payload

    gboolean
    gst_mikey_message_replace_payload (GstMIKEYMessage * msg,
                                       guint idx,
                                       GstMIKEYPayload * payload)

Replace the payload at idx in msg with payload.

Parameters:

`msg` –

a GstMIKEYMessage

`idx` –

an index

`payload` ( [transfer: full]) –

a GstMIKEYPayload

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.replace_payload

    function GstSdp.MIKEYMessage.prototype.replace_payload(idx: Number, payload: GstSdp.MIKEYPayload): {
        // javascript wrapper for 'gst_mikey_message_replace_payload'
    }

Replace the payload at idx in msg with payload.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (Number) –

an index

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.replace_payload

    def GstSdp.MIKEYMessage.replace_payload (self, idx, payload):
        #python wrapper for 'gst_mikey_message_replace_payload'

Replace the payload at idx in msg with payload.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`idx` (int) –

an index

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_set_info

    gboolean
    gst_mikey_message_set_info (GstMIKEYMessage * msg,
                                guint8 version,
                                GstMIKEYType type,
                                gboolean V,
                                GstMIKEYPRFFunc prf_func,
                                guint32 CSB_id,
                                GstMIKEYMapType map_type)

Set the information in msg.

Parameters:

`msg` –

a GstMIKEYMessage

`version` –

a version

`type` –

a GstMIKEYType

`V` –

verify flag

`prf_func` –

the GstMIKEYPRFFunc function to use

`CSB_id` –

the Crypto Session Bundle id

`map_type` –

the GstMIKEYMapType

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.set_info

    function GstSdp.MIKEYMessage.prototype.set_info(version: Number, type: GstSdp.MIKEYType, V: Number, prf_func: GstSdp.MIKEYPRFFunc, CSB_id: Number, map_type: GstSdp.MIKEYMapType): {
        // javascript wrapper for 'gst_mikey_message_set_info'
    }

Set the information in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`version` (Number) –

a version

`type` (GstSdp.MIKEYType) –

a GstSdp.MIKEYType

`V` (Number) –

verify flag

`prf_func` (GstSdp.MIKEYPRFFunc) –

the GstSdp.MIKEYPRFFunc function to use

`CSB_id` (Number) –

the Crypto Session Bundle id

`map_type` (GstSdp.MIKEYMapType) –

the GstSdp.MIKEYMapType

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYMessage.set_info

    def GstSdp.MIKEYMessage.set_info (self, version, type, V, prf_func, CSB_id, map_type):
        #python wrapper for 'gst_mikey_message_set_info'

Set the information in msg.

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`version` (int) –

a version

`type` (GstSdp.MIKEYType) –

a GstSdp.MIKEYType

`V` (bool) –

verify flag

`prf_func` (GstSdp.MIKEYPRFFunc) –

the GstSdp.MIKEYPRFFunc function to use

`CSB_id` (int) –

the Crypto Session Bundle id

`map_type` (GstSdp.MIKEYMapType) –

the GstSdp.MIKEYMapType

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_message_to_bytes

    GBytes *
    gst_mikey_message_to_bytes (GstMIKEYMessage * msg,
                                GstMIKEYEncryptInfo * info,
                                GError ** error)

Convert msg to a GBytes.

Parameters:

`msg` –

a GstMIKEYMessage

`info` –

a GstMIKEYEncryptInfo

`error` –

a GError

Returns ( [transfer: full]) –

a new GBytes for msg.

Since : 1.4

#### GstSdp.MIKEYMessage.prototype.to_bytes

    function GstSdp.MIKEYMessage.prototype.to_bytes(info: GstSdp.MIKEYEncryptInfo): {
        // javascript wrapper for 'gst_mikey_message_to_bytes'
    }

Convert msg to a GBytes (not introspectable).

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`info` (GstSdp.MIKEYEncryptInfo) –

a GstSdp.MIKEYEncryptInfo

Returns (GBytes (not introspectable)) –

a new GBytes (not introspectable) for msg.

Since : 1.4

#### GstSdp.MIKEYMessage.to_bytes

    @raises(GLib.GError)
    def GstSdp.MIKEYMessage.to_bytes (self, info):
        #python wrapper for 'gst_mikey_message_to_bytes'

Convert msg to a GBytes (not introspectable).

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`info` (GstSdp.MIKEYEncryptInfo) –

a GstSdp.MIKEYEncryptInfo

Returns (GBytes (not introspectable)) –

a new GBytes (not introspectable) for msg.

Since : 1.4

#### gst_mikey_message_to_caps

    gboolean
    gst_mikey_message_to_caps (const GstMIKEYMessage * msg,
                               GstCaps * caps)

Parameters:

`msg` –

a GstMIKEYMessage

`caps` –

a GstCaps to be filled with SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns –

TRUE on success

Since : 1.8.1

#### GstSdp.MIKEYMessage.prototype.to_caps

    function GstSdp.MIKEYMessage.prototype.to_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_mikey_message_to_caps'
    }

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`caps` (Gst.Caps) –

a Gst.Caps to be filled with SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns (Number) –

true on success

Since : 1.8.1

#### GstSdp.MIKEYMessage.to_caps

    def GstSdp.MIKEYMessage.to_caps (self, caps):
        #python wrapper for 'gst_mikey_message_to_caps'

Parameters:

`msg` (GstSdp.MIKEYMessage) –

a GstSdp.MIKEYMessage

`caps` (Gst.Caps) –

a Gst.Caps to be filled with SRTP parameters (srtp/srtcp cipher, authorization, key data)

Returns (bool) –

True on success

Since : 1.8.1

## GstMIKEYPayload

Hold the common fields for all payloads

### Members

`type` (GstMIKEYPayloadType) –

the payload type

`len` (guint) –

length of the payload

## GstSdp.MIKEYPayload

Hold the common fields for all payloads

### Members

`type` (GstSdp.MIKEYPayloadType) –

the payload type

`len` (Number) –

length of the payload

## GstSdp.MIKEYPayload

Hold the common fields for all payloads

### Members

`type` (GstSdp.MIKEYPayloadType) –

the payload type

`len` (int) –

length of the payload

### Constructors

#### gst_mikey_payload_new

    GstMIKEYPayload *
    gst_mikey_payload_new (GstMIKEYPayloadType type)

Make a new GstMIKEYPayload with type.

Parameters:

`type` –

a GstMIKEYPayloadType

Returns ( [transfer: full][nullable]) –

a new GstMIKEYPayload or NULL on failure.

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.new

    function GstSdp.MIKEYPayload.prototype.new(type: GstSdp.MIKEYPayloadType): {
        // javascript wrapper for 'gst_mikey_payload_new'
    }

Make a new GstSdp.MIKEYPayload with type.

Parameters:

`type` (GstSdp.MIKEYPayloadType) –

a GstSdp.MIKEYPayloadType

Returns (GstSdp.MIKEYPayload) –

a new GstSdp.MIKEYPayload or null on failure.

Since : 1.4

#### GstSdp.MIKEYPayload.new

    def GstSdp.MIKEYPayload.new (type):
        #python wrapper for 'gst_mikey_payload_new'

Make a new GstSdp.MIKEYPayload with type.

Parameters:

`type` (GstSdp.MIKEYPayloadType) –

a GstSdp.MIKEYPayloadType

Returns (GstSdp.MIKEYPayload) –

a new GstSdp.MIKEYPayload or None on failure.

Since : 1.4

### Methods

#### gst_mikey_payload_kemac_add_sub

    gboolean
    gst_mikey_payload_kemac_add_sub (GstMIKEYPayload * payload,
                                     GstMIKEYPayload * newpay)

Add a new sub payload to payload.

Parameters:

`payload` –

a GstMIKEYPayload

`newpay` ( [transfer: full]) –

a GstMIKEYPayload to add

Returns –

TRUE on success.

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.kemac_add_sub

    function GstSdp.MIKEYPayload.prototype.kemac_add_sub(newpay: GstSdp.MIKEYPayload): {
        // javascript wrapper for 'gst_mikey_payload_kemac_add_sub'
    }

Add a new sub payload to payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`newpay` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload to add

Returns (Number) –

true on success.

Since : 1.4

#### GstSdp.MIKEYPayload.kemac_add_sub

    def GstSdp.MIKEYPayload.kemac_add_sub (self, newpay):
        #python wrapper for 'gst_mikey_payload_kemac_add_sub'

Add a new sub payload to payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`newpay` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload to add

Returns (bool) –

True on success.

Since : 1.4

#### gst_mikey_payload_kemac_get_n_sub

    guint
    gst_mikey_payload_kemac_get_n_sub (const GstMIKEYPayload * payload)

Get the number of sub payloads of payload. payload should be of type GST_MIKEY_PT_KEMAC.

Parameters:

`payload` –

a GstMIKEYPayload

Returns –

the number of sub payloads in payload

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.kemac_get_n_sub

    function GstSdp.MIKEYPayload.prototype.kemac_get_n_sub(): {
        // javascript wrapper for 'gst_mikey_payload_kemac_get_n_sub'
    }

Get the number of sub payloads of payload. payload should be of type GstSdp.MIKEYPayloadType.KEMAC.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (Number) –

the number of sub payloads in payload

Since : 1.4

#### GstSdp.MIKEYPayload.kemac_get_n_sub

    def GstSdp.MIKEYPayload.kemac_get_n_sub (self):
        #python wrapper for 'gst_mikey_payload_kemac_get_n_sub'

Get the number of sub payloads of payload. payload should be of type GstSdp.MIKEYPayloadType.KEMAC.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (int) –

the number of sub payloads in payload

Since : 1.4

#### gst_mikey_payload_kemac_get_sub

    const GstMIKEYPayload *
    gst_mikey_payload_kemac_get_sub (const GstMIKEYPayload * payload,
                                     guint idx)

Get the sub payload of payload at idx. payload should be of type GST_MIKEY_PT_KEMAC.

Parameters:

`payload` –

a GstMIKEYPayload

`idx` –

an index

Returns ( [transfer: none][nullable]) –

the GstMIKEYPayload at idx.

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.kemac_get_sub

    function GstSdp.MIKEYPayload.prototype.kemac_get_sub(idx: Number): {
        // javascript wrapper for 'gst_mikey_payload_kemac_get_sub'
    }

Get the sub payload of payload at idx. payload should be of type GstSdp.MIKEYPayloadType.KEMAC.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (Number) –

an index

Returns (GstSdp.MIKEYPayload) –

the GstSdp.MIKEYPayload at idx.

Since : 1.4

#### GstSdp.MIKEYPayload.kemac_get_sub

    def GstSdp.MIKEYPayload.kemac_get_sub (self, idx):
        #python wrapper for 'gst_mikey_payload_kemac_get_sub'

Get the sub payload of payload at idx. payload should be of type GstSdp.MIKEYPayloadType.KEMAC.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (int) –

an index

Returns (GstSdp.MIKEYPayload) –

the GstSdp.MIKEYPayload at idx.

Since : 1.4

#### gst_mikey_payload_kemac_remove_sub

    gboolean
    gst_mikey_payload_kemac_remove_sub (GstMIKEYPayload * payload,
                                        guint idx)

Remove the sub payload at idx in payload.

Parameters:

`payload` –

a GstMIKEYPayload

`idx` –

the index to remove

Returns –

TRUE on success.

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.kemac_remove_sub

    function GstSdp.MIKEYPayload.prototype.kemac_remove_sub(idx: Number): {
        // javascript wrapper for 'gst_mikey_payload_kemac_remove_sub'
    }

Remove the sub payload at idx in payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (Number) –

the index to remove

Returns (Number) –

true on success.

Since : 1.4

#### GstSdp.MIKEYPayload.kemac_remove_sub

    def GstSdp.MIKEYPayload.kemac_remove_sub (self, idx):
        #python wrapper for 'gst_mikey_payload_kemac_remove_sub'

Remove the sub payload at idx in payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (int) –

the index to remove

Returns (bool) –

True on success.

Since : 1.4

#### gst_mikey_payload_kemac_set

    gboolean
    gst_mikey_payload_kemac_set (GstMIKEYPayload * payload,
                                 GstMIKEYEncAlg enc_alg,
                                 GstMIKEYMacAlg mac_alg)

Set the KEMAC parameters. payload should point to a GST_MIKEY_PT_KEMAC payload.

Parameters:

`payload` –

a GstMIKEYPayload

`enc_alg` –

the GstMIKEYEncAlg

`mac_alg` –

a GstMIKEYMacAlg

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.kemac_set

    function GstSdp.MIKEYPayload.prototype.kemac_set(enc_alg: GstSdp.MIKEYEncAlg, mac_alg: GstSdp.MIKEYMacAlg): {
        // javascript wrapper for 'gst_mikey_payload_kemac_set'
    }

Set the KEMAC parameters. payload should point to a GstSdp.MIKEYPayloadType.KEMAC payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`enc_alg` (GstSdp.MIKEYEncAlg) –

the GstSdp.MIKEYEncAlg

`mac_alg` (GstSdp.MIKEYMacAlg) –

a GstSdp.MIKEYMacAlg

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.kemac_set

    def GstSdp.MIKEYPayload.kemac_set (self, enc_alg, mac_alg):
        #python wrapper for 'gst_mikey_payload_kemac_set'

Set the KEMAC parameters. payload should point to a GstSdp.MIKEYPayloadType.KEMAC payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`enc_alg` (GstSdp.MIKEYEncAlg) –

the GstSdp.MIKEYEncAlg

`mac_alg` (GstSdp.MIKEYMacAlg) –

a GstSdp.MIKEYMacAlg

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_key_data_set_interval

    gboolean
    gst_mikey_payload_key_data_set_interval (GstMIKEYPayload * payload,
                                             guint8 vf_len,
                                             const guint8 * vf_data,
                                             guint8 vt_len,
                                             const guint8 * vt_data)

Set the key validity period in the GST_MIKEY_PT_KEY_DATA payload.

Parameters:

`payload` –

a GstMIKEYPayload

`vf_len` –

the length of vf_data

`vf_data` ( [array length=vf_len]) –

the Valid From data

`vt_len` –

the length of vt_data

`vt_data` ( [array length=vt_len]) –

the Valid To data

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.key_data_set_interval

    function GstSdp.MIKEYPayload.prototype.key_data_set_interval(vf_len: Number, vf_data: [ Number ], vt_len: Number, vt_data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_key_data_set_interval'
    }

Set the key validity period in the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`vf_len` (Number) –

the length of vf_data

`vf_data` ([ Number ]) –

the Valid From data

`vt_len` (Number) –

the length of vt_data

`vt_data` ([ Number ]) –

the Valid To data

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.key_data_set_interval

    def GstSdp.MIKEYPayload.key_data_set_interval (self, vf_len, vf_data, vt_len, vt_data):
        #python wrapper for 'gst_mikey_payload_key_data_set_interval'

Set the key validity period in the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`vf_len` (int) –

the length of vf_data

`vf_data` ([ int ]) –

the Valid From data

`vt_len` (int) –

the length of vt_data

`vt_data` ([ int ]) –

the Valid To data

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_key_data_set_key

    gboolean
    gst_mikey_payload_key_data_set_key (GstMIKEYPayload * payload,
                                        GstMIKEYKeyDataType key_type,
                                        guint16 key_len,
                                        const guint8 * key_data)

Set key_len bytes of key_data of type key_type as the key for the GST_MIKEY_PT_KEY_DATA payload.

Parameters:

`payload` –

a GstMIKEYPayload

`key_type` –

a GstMIKEYKeyDataType

`key_len` –

the length of key_data

`key_data` ( [array length=key_len]) –

the key of type key_type

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.key_data_set_key

    function GstSdp.MIKEYPayload.prototype.key_data_set_key(key_type: GstSdp.MIKEYKeyDataType, key_len: Number, key_data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_key_data_set_key'
    }

Set key_len bytes of key_data of type key_type as the key for the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`key_type` (GstSdp.MIKEYKeyDataType) –

a GstSdp.MIKEYKeyDataType

`key_len` (Number) –

the length of key_data

`key_data` ([ Number ]) –

the key of type key_type

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.key_data_set_key

    def GstSdp.MIKEYPayload.key_data_set_key (self, key_type, key_len, key_data):
        #python wrapper for 'gst_mikey_payload_key_data_set_key'

Set key_len bytes of key_data of type key_type as the key for the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`key_type` (GstSdp.MIKEYKeyDataType) –

a GstSdp.MIKEYKeyDataType

`key_len` (int) –

the length of key_data

`key_data` ([ int ]) –

the key of type key_type

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_key_data_set_salt

    gboolean
    gst_mikey_payload_key_data_set_salt (GstMIKEYPayload * payload,
                                         guint16 salt_len,
                                         const guint8 * salt_data)

Set the salt key data. If salt_len is 0 and salt_data is NULL, the salt data will be removed.

Parameters:

`payload` –

a GstMIKEYPayload

`salt_len` –

the length of salt_data

`salt_data` ( [array length=salt_len][allow-none]) –

the salt

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.key_data_set_salt

    function GstSdp.MIKEYPayload.prototype.key_data_set_salt(salt_len: Number, salt_data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_key_data_set_salt'
    }

Set the salt key data. If salt_len is 0 and salt_data is null, the salt data will be removed.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`salt_len` (Number) –

the length of salt_data

`salt_data` ([ Number ]) –

the salt

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.key_data_set_salt

    def GstSdp.MIKEYPayload.key_data_set_salt (self, salt_len, salt_data):
        #python wrapper for 'gst_mikey_payload_key_data_set_salt'

Set the salt key data. If salt_len is 0 and salt_data is None, the salt data will be removed.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`salt_len` (int) –

the length of salt_data

`salt_data` ([ int ]) –

the salt

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_key_data_set_spi

    gboolean
    gst_mikey_payload_key_data_set_spi (GstMIKEYPayload * payload,
                                        guint8 spi_len,
                                        const guint8 * spi_data)

Set the SPI/MKI validity in the GST_MIKEY_PT_KEY_DATA payload.

Parameters:

`payload` –

a GstMIKEYPayload

`spi_len` –

the length of spi_data

`spi_data` ( [array length=spi_len]) –

the SPI/MKI data

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.key_data_set_spi

    function GstSdp.MIKEYPayload.prototype.key_data_set_spi(spi_len: Number, spi_data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_key_data_set_spi'
    }

Set the SPI/MKI validity in the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`spi_len` (Number) –

the length of spi_data

`spi_data` ([ Number ]) –

the SPI/MKI data

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.key_data_set_spi

    def GstSdp.MIKEYPayload.key_data_set_spi (self, spi_len, spi_data):
        #python wrapper for 'gst_mikey_payload_key_data_set_spi'

Set the SPI/MKI validity in the GstSdp.MIKEYPayloadType.KEY_DATA payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`spi_len` (int) –

the length of spi_data

`spi_data` ([ int ]) –

the SPI/MKI data

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_pke_set

    gboolean
    gst_mikey_payload_pke_set (GstMIKEYPayload * payload,
                               GstMIKEYCacheType C,
                               guint16 data_len,
                               const guint8 * data)

Set the PKE values in payload. payload must be of type GST_MIKEY_PT_PKE.

Parameters:

`payload` –

a GstMIKEYPayload

`C` –

envelope key cache indicator

`data_len` –

the length of data

`data` ( [array length=data_len]) –

the encrypted envelope key

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.pke_set

    function GstSdp.MIKEYPayload.prototype.pke_set(C: GstSdp.MIKEYCacheType, data_len: Number, data: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_pke_set'
    }

Set the PKE values in payload. payload must be of type GstSdp.MIKEYPayloadType.PKE.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (Number) –

the length of data

`data` ([ Number ]) –

the encrypted envelope key

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.pke_set

    def GstSdp.MIKEYPayload.pke_set (self, C, data_len, data):
        #python wrapper for 'gst_mikey_payload_pke_set'

Set the PKE values in payload. payload must be of type GstSdp.MIKEYPayloadType.PKE.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (int) –

the length of data

`data` ([ int ]) –

the encrypted envelope key

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_rand_set

    gboolean
    gst_mikey_payload_rand_set (GstMIKEYPayload * payload,
                                guint8 len,
                                const guint8 * rand)

Set the random values in a GST_MIKEY_PT_RAND payload.

Parameters:

`payload` –

a GstMIKEYPayload

`len` –

the length of rand

`rand` ( [array length=len]) –

random values

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.rand_set

    function GstSdp.MIKEYPayload.prototype.rand_set(len: Number, rand: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_rand_set'
    }

Set the random values in a GstSdp.MIKEYPayloadType.RAND payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`len` (Number) –

the length of rand

`rand` ([ Number ]) –

random values

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.rand_set

    def GstSdp.MIKEYPayload.rand_set (self, len, rand):
        #python wrapper for 'gst_mikey_payload_rand_set'

Set the random values in a GstSdp.MIKEYPayloadType.RAND payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`len` (int) –

the length of rand

`rand` ([ int ]) –

random values

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_sp_add_param

    gboolean
    gst_mikey_payload_sp_add_param (GstMIKEYPayload * payload,
                                    guint8 type,
                                    guint8 len,
                                    const guint8 * val)

Add a new parameter to the GST_MIKEY_PT_SP payload with type, len and val.

Parameters:

`payload` –

a GstMIKEYPayload

`type` –

a type

`len` –

a length

`val` ( [array length=len]) –

len bytes of data

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.sp_add_param

    function GstSdp.MIKEYPayload.prototype.sp_add_param(type: Number, len: Number, val: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_sp_add_param'
    }

Add a new parameter to the GstSdp.MIKEYPayloadType.SP payload with type, len and val.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`type` (Number) –

a type

`len` (Number) –

a length

`val` ([ Number ]) –

len bytes of data

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.sp_add_param

    def GstSdp.MIKEYPayload.sp_add_param (self, type, len, val):
        #python wrapper for 'gst_mikey_payload_sp_add_param'

Add a new parameter to the GstSdp.MIKEYPayloadType.SP payload with type, len and val.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`type` (int) –

a type

`len` (int) –

a length

`val` ([ int ]) –

len bytes of data

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_sp_get_n_params

    guint
    gst_mikey_payload_sp_get_n_params (const GstMIKEYPayload * payload)

Get the number of security policy parameters in a GST_MIKEY_PT_SP payload.

Parameters:

`payload` –

a GstMIKEYPayload

Returns –

the number of parameters in payload

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.sp_get_n_params

    function GstSdp.MIKEYPayload.prototype.sp_get_n_params(): {
        // javascript wrapper for 'gst_mikey_payload_sp_get_n_params'
    }

Get the number of security policy parameters in a GstSdp.MIKEYPayloadType.SP payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (Number) –

the number of parameters in payload

Since : 1.4

#### GstSdp.MIKEYPayload.sp_get_n_params

    def GstSdp.MIKEYPayload.sp_get_n_params (self):
        #python wrapper for 'gst_mikey_payload_sp_get_n_params'

Get the number of security policy parameters in a GstSdp.MIKEYPayloadType.SP payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

Returns (int) –

the number of parameters in payload

Since : 1.4

#### gst_mikey_payload_sp_get_param

    const GstMIKEYPayloadSPParam *
    gst_mikey_payload_sp_get_param (const GstMIKEYPayload * payload,
                                    guint idx)

Get the Security Policy parameter in a GST_MIKEY_PT_SP payload at idx.

Parameters:

`payload` –

a GstMIKEYPayload

`idx` –

an index

Returns ( [transfer: none][nullable]) –

the GstMIKEYPayloadSPParam at idx in payload

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.sp_get_param

    function GstSdp.MIKEYPayload.prototype.sp_get_param(idx: Number): {
        // javascript wrapper for 'gst_mikey_payload_sp_get_param'
    }

Get the Security Policy parameter in a GstSdp.MIKEYPayloadType.SP payload at idx.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (Number) –

an index

Returns (GstSdp.MIKEYPayloadSPParam) –

the GstSdp.MIKEYPayloadSPParam at idx in payload

Since : 1.4

#### GstSdp.MIKEYPayload.sp_get_param

    def GstSdp.MIKEYPayload.sp_get_param (self, idx):
        #python wrapper for 'gst_mikey_payload_sp_get_param'

Get the Security Policy parameter in a GstSdp.MIKEYPayloadType.SP payload at idx.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (int) –

an index

Returns (GstSdp.MIKEYPayloadSPParam) –

the GstSdp.MIKEYPayloadSPParam at idx in payload

Since : 1.4

#### gst_mikey_payload_sp_remove_param

    gboolean
    gst_mikey_payload_sp_remove_param (GstMIKEYPayload * payload,
                                       guint idx)

Remove the Security Policy parameters from a GST_MIKEY_PT_SP payload at idx.

Parameters:

`payload` –

a GstMIKEYPayload

`idx` –

an index

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.sp_remove_param

    function GstSdp.MIKEYPayload.prototype.sp_remove_param(idx: Number): {
        // javascript wrapper for 'gst_mikey_payload_sp_remove_param'
    }

Remove the Security Policy parameters from a GstSdp.MIKEYPayloadType.SP payload at idx.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (Number) –

an index

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.sp_remove_param

    def GstSdp.MIKEYPayload.sp_remove_param (self, idx):
        #python wrapper for 'gst_mikey_payload_sp_remove_param'

Remove the Security Policy parameters from a GstSdp.MIKEYPayloadType.SP payload at idx.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`idx` (int) –

an index

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_sp_set

    gboolean
    gst_mikey_payload_sp_set (GstMIKEYPayload * payload,
                              guint policy,
                              GstMIKEYSecProto proto)

Set the Security Policy parameters for payload.

Parameters:

`payload` –

a GstMIKEYPayload

`policy` –

the policy number

`proto` –

a GstMIKEYSecProto

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.sp_set

    function GstSdp.MIKEYPayload.prototype.sp_set(policy: Number, proto: GstSdp.MIKEYSecProto): {
        // javascript wrapper for 'gst_mikey_payload_sp_set'
    }

Set the Security Policy parameters for payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`policy` (Number) –

the policy number

`proto` (GstSdp.MIKEYSecProto) –

a GstSdp.MIKEYSecProto

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.sp_set

    def GstSdp.MIKEYPayload.sp_set (self, policy, proto):
        #python wrapper for 'gst_mikey_payload_sp_set'

Set the Security Policy parameters for payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`policy` (int) –

the policy number

`proto` (GstSdp.MIKEYSecProto) –

a GstSdp.MIKEYSecProto

Returns (bool) –

True on success

Since : 1.4

#### gst_mikey_payload_t_set

    gboolean
    gst_mikey_payload_t_set (GstMIKEYPayload * payload,
                             GstMIKEYTSType type,
                             const guint8 * ts_value)

Set the timestamp in a GST_MIKEY_PT_T payload.

Parameters:

`payload` –

a GstMIKEYPayload

`type` –

the GstMIKEYTSType

`ts_value` ( [array]) –

the timestamp value

Returns –

TRUE on success

Since : 1.4

#### GstSdp.MIKEYPayload.prototype.t_set

    function GstSdp.MIKEYPayload.prototype.t_set(type: GstSdp.MIKEYTSType, ts_value: [ Number ]): {
        // javascript wrapper for 'gst_mikey_payload_t_set'
    }

Set the timestamp in a GstSdp.MIKEYPayloadType.T payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`type` (GstSdp.MIKEYTSType) –

the GstSdp.MIKEYTSType

`ts_value` ([ Number ]) –

the timestamp value

Returns (Number) –

true on success

Since : 1.4

#### GstSdp.MIKEYPayload.t_set

    def GstSdp.MIKEYPayload.t_set (self, type, ts_value):
        #python wrapper for 'gst_mikey_payload_t_set'

Set the timestamp in a GstSdp.MIKEYPayloadType.T payload.

Parameters:

`payload` (GstSdp.MIKEYPayload) –

a GstSdp.MIKEYPayload

`type` (GstSdp.MIKEYTSType) –

the GstSdp.MIKEYTSType

`ts_value` ([ int ]) –

the timestamp value

Returns (bool) –

True on success

Since : 1.4

## GstMIKEYPayloadKEMAC

A structure holding the KEMAC payload

### Members

`pt` (GstMIKEYPayload) –

the common GstMIKEYPayload

`enc_alg` (GstMIKEYEncAlg) –

the GstMIKEYEncAlg

`mac_alg` (GstMIKEYMacAlg) –

the GstMIKEYMacAlg

`subpayloads` (GArray *) –

the subpayloads

## GstSdp.MIKEYPayloadKEMAC

A structure holding the KEMAC payload

### Members

`pt` (GstSdp.MIKEYPayload) –

the common GstSdp.MIKEYPayload

`enc_alg` (GstSdp.MIKEYEncAlg) –

the GstSdp.MIKEYEncAlg

`mac_alg` (GstSdp.MIKEYMacAlg) –

the GstSdp.MIKEYMacAlg

`subpayloads` ([ Object ]) –

the subpayloads

## GstSdp.MIKEYPayloadKEMAC

A structure holding the KEMAC payload

### Members

`pt` (GstSdp.MIKEYPayload) –

the common GstSdp.MIKEYPayload

`enc_alg` (GstSdp.MIKEYEncAlg) –

the GstSdp.MIKEYEncAlg

`mac_alg` (GstSdp.MIKEYMacAlg) –

the GstSdp.MIKEYMacAlg

`subpayloads` ([ object ]) –

the subpayloads

## GstMIKEYPayloadKeyData

The Key data payload contains key material. It should be added as sub payload to the KEMAC.

### Members

`pt` (GstMIKEYPayload) –

the payload header

`key_type` (GstMIKEYKeyDataType) –

the GstMIKEYKeyDataType of key_data

`key_len` (guint16) –

length of key_data

`key_data` (guint8 *) –

the key data

`salt_len` (guint16) –

the length of salt_data, can be 0

`salt_data` (guint8 *) –

salt data

`kv_type` (GstMIKEYKVType) –

the Key Validity type

`kv_len` (guint8 *) –

length of kv_data

`kv_data` (guint8 *) –

key validity data

## GstSdp.MIKEYPayloadKeyData

The Key data payload contains key material. It should be added as sub payload to the KEMAC.

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`key_type` (GstSdp.MIKEYKeyDataType) –

the GstSdp.MIKEYKeyDataType of key_data

`key_len` (Number) –

length of key_data

`key_data` (Number) –

the key data

`salt_len` (Number) –

the length of salt_data, can be 0

`salt_data` (Number) –

salt data

`kv_type` (GstSdp.MIKEYKVType) –

the Key Validity type

`kv_len` ([ Number ]) –

length of kv_data

`kv_data` ([ Number ]) –

key validity data

## GstSdp.MIKEYPayloadKeyData

The Key data payload contains key material. It should be added as sub payload to the KEMAC.

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`key_type` (GstSdp.MIKEYKeyDataType) –

the GstSdp.MIKEYKeyDataType of key_data

`key_len` (int) –

length of key_data

`key_data` (int) –

the key data

`salt_len` (int) –

the length of salt_data, can be 0

`salt_data` (int) –

salt data

`kv_type` (GstSdp.MIKEYKVType) –

the Key Validity type

`kv_len` ([ int ]) –

length of kv_data

`kv_data` ([ int ]) –

key validity data

## GstMIKEYPayloadPKE

The Envelope data payload contains the encrypted envelope key that is used in the public-key transport to protect the data in the Key data transport payload. The encryption algorithm used is implicit from the certificate/public key used.

### Members

`pt` (GstMIKEYPayload) –

the common GstMIKEYPayload

`C` (GstMIKEYCacheType) –

envelope key cache indicator

`data_len` (guint16) –

length of data

`data` (guint8 *) –

the encrypted envelope key

## GstSdp.MIKEYPayloadPKE

The Envelope data payload contains the encrypted envelope key that is used in the public-key transport to protect the data in the Key data transport payload. The encryption algorithm used is implicit from the certificate/public key used.

### Members

`pt` (GstSdp.MIKEYPayload) –

the common GstSdp.MIKEYPayload

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (Number) –

length of data

`data` (Number) –

the encrypted envelope key

## GstSdp.MIKEYPayloadPKE

The Envelope data payload contains the encrypted envelope key that is used in the public-key transport to protect the data in the Key data transport payload. The encryption algorithm used is implicit from the certificate/public key used.

### Members

`pt` (GstSdp.MIKEYPayload) –

the common GstSdp.MIKEYPayload

`C` (GstSdp.MIKEYCacheType) –

envelope key cache indicator

`data_len` (int) –

length of data

`data` (int) –

the encrypted envelope key

## GstMIKEYPayloadRAND

The RAND payload consists of a (pseudo-)random bit-string

### Members

`pt` (GstMIKEYPayload) –

the payload header

`len` (guint8) –

the length of rand

`rand` (guint8 *) –

random values

## GstSdp.MIKEYPayloadRAND

The RAND payload consists of a (pseudo-)random bit-string

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`len` (Number) –

the length of rand

`rand` (Number) –

random values

## GstSdp.MIKEYPayloadRAND

The RAND payload consists of a (pseudo-)random bit-string

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`len` (int) –

the length of rand

`rand` (int) –

random values

## GstMIKEYPayloadSP

The Security Policy payload defines a set of policies that apply to a specific security protocol

### Members

`pt` (GstMIKEYPayload) –

the payload header

`policy` (guint) –

the policy number

`proto` (GstMIKEYSecProto) –

the security protocol

`params` (GArray *) –

array of GstMIKEYPayloadSPParam

## GstSdp.MIKEYPayloadSP

The Security Policy payload defines a set of policies that apply to a specific security protocol

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`policy` (Number) –

the policy number

`proto` (GstSdp.MIKEYSecProto) –

the security protocol

`params` ([ Object ]) –

array of GstSdp.MIKEYPayloadSPParam

## GstSdp.MIKEYPayloadSP

The Security Policy payload defines a set of policies that apply to a specific security protocol

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`policy` (int) –

the policy number

`proto` (GstSdp.MIKEYSecProto) –

the security protocol

`params` ([ object ]) –

array of GstSdp.MIKEYPayloadSPParam

## GstMIKEYPayloadSPParam

A Type/Length/Value field for security parameters

### Members

`type` (guint8) –

specifies the type of the parameter

`len` (guint8) –

specifies the length of val

`val` (guint8 *) –

specifies the value of the parameter

## GstSdp.MIKEYPayloadSPParam

A Type/Length/Value field for security parameters

### Members

`type` (Number) –

specifies the type of the parameter

`len` (Number) –

specifies the length of val

`val` (Number) –

specifies the value of the parameter

## GstSdp.MIKEYPayloadSPParam

A Type/Length/Value field for security parameters

### Members

`type` (int) –

specifies the type of the parameter

`len` (int) –

specifies the length of val

`val` (int) –

specifies the value of the parameter

## GstMIKEYPayloadT

The timestamp payload carries the timestamp information

### Members

`pt` (GstMIKEYPayload) –

the payload header

`type` (GstMIKEYTSType) –

a GstMIKEYTSType

`ts_value` (guint8 *) –

the timestamp value

## GstSdp.MIKEYPayloadT

The timestamp payload carries the timestamp information

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`type` (GstSdp.MIKEYTSType) –

a GstSdp.MIKEYTSType

`ts_value` (Number) –

the timestamp value

## GstSdp.MIKEYPayloadT

The timestamp payload carries the timestamp information

### Members

`pt` (GstSdp.MIKEYPayload) –

the payload header

`type` (GstSdp.MIKEYTSType) –

a GstSdp.MIKEYTSType

`ts_value` (int) –

the timestamp value

## Enumerations

### GstMIKEYCacheType

The different cache types

##### Members

`GST_MIKEY_CACHE_NONE` (0) –

The envelope key MUST NOT be cached

`GST_MIKEY_CACHE_ALWAYS` (1) –

The envelope key MUST be cached

`GST_MIKEY_CACHE_FOR_CSB` (2) –

The envelope key MUST be cached, but only to be used for the specific CSB.

### GstSdp.MIKEYCacheType

The different cache types

##### Members

`GstSdp.MIKEYCacheType.NONE` (0) –

The envelope key MUST NOT be cached

`GstSdp.MIKEYCacheType.ALWAYS` (1) –

The envelope key MUST be cached

`GstSdp.MIKEYCacheType.FOR_CSB` (2) –

The envelope key MUST be cached, but only to be used for the specific CSB.

### GstSdp.MIKEYCacheType

The different cache types

##### Members

`GstSdp.MIKEYCacheType.NONE` (0) –

The envelope key MUST NOT be cached

`GstSdp.MIKEYCacheType.ALWAYS` (1) –

The envelope key MUST be cached

`GstSdp.MIKEYCacheType.FOR_CSB` (2) –

The envelope key MUST be cached, but only to be used for the specific CSB.

### GstMIKEYEncAlg

The encryption algorithm used to encrypt the Encr data field

##### Members

`GST_MIKEY_ENC_NULL` (0) –

no encryption

`GST_MIKEY_ENC_AES_CM_128` (1) –

AES-CM using a 128-bit key

`GST_MIKEY_ENC_AES_KW_128` (2) –

AES Key Wrap using a 128-bit key

`GST_MIKEY_ENC_AES_GCM_128` (6) –

AES-GCM using a 128-bit key (Since: 1.16)

### GstSdp.MIKEYEncAlg

The encryption algorithm used to encrypt the Encr data field

##### Members

`GstSdp.MIKEYEncAlg.NULL` (0) –

no encryption

`GstSdp.MIKEYEncAlg.AES_CM_128` (1) –

AES-CM using a 128-bit key

`GstSdp.MIKEYEncAlg.AES_KW_128` (2) –

AES Key Wrap using a 128-bit key

`GstSdp.MIKEYEncAlg.AES_GCM_128` (6) –

AES-GCM using a 128-bit key (Since: 1.16)

### GstSdp.MIKEYEncAlg

The encryption algorithm used to encrypt the Encr data field

##### Members

`GstSdp.MIKEYEncAlg.NULL` (0) –

no encryption

`GstSdp.MIKEYEncAlg.AES_CM_128` (1) –

AES-CM using a 128-bit key

`GstSdp.MIKEYEncAlg.AES_KW_128` (2) –

AES Key Wrap using a 128-bit key

`GstSdp.MIKEYEncAlg.AES_GCM_128` (6) –

AES-GCM using a 128-bit key (Since: 1.16)

### GstMIKEYKVType

The key validity type

##### Members

`GST_MIKEY_KV_NULL` (0) –

No specific usage rule

`GST_MIKEY_KV_SPI` (1) –

The key is associated with the SPI/MKI

`GST_MIKEY_KV_INTERVAL` (2) –

The key has a start and expiration time

### GstSdp.MIKEYKVType

The key validity type

##### Members

`GstSdp.MIKEYKVType.NULL` (0) –

No specific usage rule

`GstSdp.MIKEYKVType.SPI` (1) –

The key is associated with the SPI/MKI

`GstSdp.MIKEYKVType.INTERVAL` (2) –

The key has a start and expiration time

### GstSdp.MIKEYKVType

The key validity type

##### Members

`GstSdp.MIKEYKVType.NULL` (0) –

No specific usage rule

`GstSdp.MIKEYKVType.SPI` (1) –

The key is associated with the SPI/MKI

`GstSdp.MIKEYKVType.INTERVAL` (2) –

The key has a start and expiration time

### GstMIKEYKeyDataType

The type of key.

##### Members

`GST_MIKEY_KD_TGK` (0) –

a TEK Generation Key

`GST_MIKEY_KD_TEK` (2) –

Traffic-Encrypting Key

### GstSdp.MIKEYKeyDataType

The type of key.

##### Members

`GstSdp.MIKEYKeyDataType.TGK` (0) –

a TEK Generation Key

`GstSdp.MIKEYKeyDataType.TEK` (2) –

Traffic-Encrypting Key

### GstSdp.MIKEYKeyDataType

The type of key.

##### Members

`GstSdp.MIKEYKeyDataType.TGK` (0) –

a TEK Generation Key

`GstSdp.MIKEYKeyDataType.TEK` (2) –

Traffic-Encrypting Key

### GstMIKEYMacAlg

Specifies the authentication algorithm used

##### Members

`GST_MIKEY_MAC_NULL` (0) –

no authentication

`GST_MIKEY_MAC_HMAC_SHA_1_160` (1) –

HMAC-SHA-1-160

### GstSdp.MIKEYMacAlg

Specifies the authentication algorithm used

##### Members

`GstSdp.MIKEYMacAlg.NULL` (0) –

no authentication

`GstSdp.MIKEYMacAlg.HMAC_SHA_1_160` (1) –

HMAC-SHA-1-160

### GstSdp.MIKEYMacAlg

Specifies the authentication algorithm used

##### Members

`GstSdp.MIKEYMacAlg.NULL` (0) –

no authentication

`GstSdp.MIKEYMacAlg.HMAC_SHA_1_160` (1) –

HMAC-SHA-1-160

### GstMIKEYMapType

Specifies the method of uniquely mapping Crypto Sessions to the security protocol sessions.

##### Members

`GST_MIKEY_MAP_TYPE_SRTP` (0) –

SRTP

### GstSdp.MIKEYMapType

Specifies the method of uniquely mapping Crypto Sessions to the security protocol sessions.

##### Members

`GstSdp.MIKEYMapType.MIKEY_MAP_TYPE_SRTP` (0) –

SRTP

### GstSdp.MIKEYMapType

Specifies the method of uniquely mapping Crypto Sessions to the security protocol sessions.

##### Members

`GstSdp.MIKEYMapType.MIKEY_MAP_TYPE_SRTP` (0) –

SRTP

### GstMIKEYPRFFunc

The PRF function that has been/will be used for key derivation

##### Members

`GST_MIKEY_PRF_MIKEY_1` (0) –

MIKEY-1 PRF function

### GstSdp.MIKEYPRFFunc

The PRF function that has been/will be used for key derivation

##### Members

`GstSdp.MIKEYPRFFunc.MIKEY_PRF_MIKEY_1` (0) –

MIKEY-1 PRF function

### GstSdp.MIKEYPRFFunc

The PRF function that has been/will be used for key derivation

##### Members

`GstSdp.MIKEYPRFFunc.MIKEY_PRF_MIKEY_1` (0) –

MIKEY-1 PRF function

### GstMIKEYPayloadType

Different MIKEY Payload types.

##### Members

`GST_MIKEY_PT_LAST` (0) –

Last payload

`GST_MIKEY_PT_KEMAC` (1) –

Key data transport payload

`GST_MIKEY_PT_PKE` (2) –

Envelope data payload

`GST_MIKEY_PT_DH` (3) –

DH data payload

`GST_MIKEY_PT_SIGN` (4) –

Signature payload

`GST_MIKEY_PT_T` (5) –

Timestamp payload

`GST_MIKEY_PT_ID` (6) –

ID payload

`GST_MIKEY_PT_CERT` (7) –

Certificate Payload

`GST_MIKEY_PT_CHASH` (8) –

Cert hash payload

`GST_MIKEY_PT_V` (9) –

Verification message payload

`GST_MIKEY_PT_SP` (10) –

Security Policy payload

`GST_MIKEY_PT_RAND` (11) –

RAND payload

`GST_MIKEY_PT_ERR` (12) –

Error payload

`GST_MIKEY_PT_KEY_DATA` (20) –

Key data sub-payload

`GST_MIKEY_PT_GEN_EXT` (21) –

General Extension Payload

### GstSdp.MIKEYPayloadType

Different MIKEY Payload types.

##### Members

`GstSdp.MIKEYPayloadType.LAST` (0) –

Last payload

`GstSdp.MIKEYPayloadType.KEMAC` (1) –

Key data transport payload

`GstSdp.MIKEYPayloadType.PKE` (2) –

Envelope data payload

`GstSdp.MIKEYPayloadType.DH` (3) –

DH data payload

`GstSdp.MIKEYPayloadType.SIGN` (4) –

Signature payload

`GstSdp.MIKEYPayloadType.T` (5) –

Timestamp payload

`GstSdp.MIKEYPayloadType.ID` (6) –

ID payload

`GstSdp.MIKEYPayloadType.CERT` (7) –

Certificate Payload

`GstSdp.MIKEYPayloadType.CHASH` (8) –

Cert hash payload

`GstSdp.MIKEYPayloadType.V` (9) –

Verification message payload

`GstSdp.MIKEYPayloadType.SP` (10) –

Security Policy payload

`GstSdp.MIKEYPayloadType.RAND` (11) –

RAND payload

`GstSdp.MIKEYPayloadType.ERR` (12) –

Error payload

`GstSdp.MIKEYPayloadType.KEY_DATA` (20) –

Key data sub-payload

`GstSdp.MIKEYPayloadType.GEN_EXT` (21) –

General Extension Payload

### GstSdp.MIKEYPayloadType

Different MIKEY Payload types.

##### Members

`GstSdp.MIKEYPayloadType.LAST` (0) –

Last payload

`GstSdp.MIKEYPayloadType.KEMAC` (1) –

Key data transport payload

`GstSdp.MIKEYPayloadType.PKE` (2) –

Envelope data payload

`GstSdp.MIKEYPayloadType.DH` (3) –

DH data payload

`GstSdp.MIKEYPayloadType.SIGN` (4) –

Signature payload

`GstSdp.MIKEYPayloadType.T` (5) –

Timestamp payload

`GstSdp.MIKEYPayloadType.ID` (6) –

ID payload

`GstSdp.MIKEYPayloadType.CERT` (7) –

Certificate Payload

`GstSdp.MIKEYPayloadType.CHASH` (8) –

Cert hash payload

`GstSdp.MIKEYPayloadType.V` (9) –

Verification message payload

`GstSdp.MIKEYPayloadType.SP` (10) –

Security Policy payload

`GstSdp.MIKEYPayloadType.RAND` (11) –

RAND payload

`GstSdp.MIKEYPayloadType.ERR` (12) –

Error payload

`GstSdp.MIKEYPayloadType.KEY_DATA` (20) –

Key data sub-payload

`GstSdp.MIKEYPayloadType.GEN_EXT` (21) –

General Extension Payload

### GstMIKEYSecProto

Specifies the security protocol

##### Members

`GST_MIKEY_SEC_PROTO_SRTP` (0) –

SRTP

### GstSdp.MIKEYSecProto

Specifies the security protocol

##### Members

`GstSdp.MIKEYSecProto.MIKEY_SEC_PROTO_SRTP` (0) –

SRTP

### GstSdp.MIKEYSecProto

Specifies the security protocol

##### Members

`GstSdp.MIKEYSecProto.MIKEY_SEC_PROTO_SRTP` (0) –

SRTP

### GstMIKEYSecSRTP

This policy specifies the parameters for SRTP and SRTCP

##### Members

`GST_MIKEY_SP_SRTP_ENC_ALG` (0) –

Encryption algorithm

`GST_MIKEY_SP_SRTP_ENC_KEY_LEN` (1) –

Session Encr. key length

`GST_MIKEY_SP_SRTP_AUTH_ALG` (2) –

Authentication algorithm

`GST_MIKEY_SP_SRTP_AUTH_KEY_LEN` (3) –

Session Auth. key length

`GST_MIKEY_SP_SRTP_SALT_KEY_LEN` (4) –

Session Salt key length

`GST_MIKEY_SP_SRTP_PRF` (5) –

SRTP Pseudo Random Function

`GST_MIKEY_SP_SRTP_KEY_DERIV_RATE` (6) –

Key derivation rate

`GST_MIKEY_SP_SRTP_SRTP_ENC` (7) –

SRTP encryption off/on, 0 if off, 1 if on

`GST_MIKEY_SP_SRTP_SRTCP_ENC` (8) –

SRTCP encryption off/on, 0 if off, 1 if on

`GST_MIKEY_SP_SRTP_FEC_ORDER` (9) –

sender's FEC order

`GST_MIKEY_SP_SRTP_SRTP_AUTH` (10) –

SRTP authentication off/on, 0 if off, 1 if on

`GST_MIKEY_SP_SRTP_AUTH_TAG_LEN` (11) –

Authentication tag length

`GST_MIKEY_SP_SRTP_SRTP_PREFIX_LEN` (12) –

SRTP prefix length

`GST_MIKEY_SP_SRTP_AEAD_AUTH_TAG_LEN` (20) –

AEAD authentication tag length (Since: 1.16)

### GstSdp.MIKEYSecSRTP

This policy specifies the parameters for SRTP and SRTCP

##### Members

`GstSdp.MIKEYSecSRTP.ENC_ALG` (0) –

Encryption algorithm

`GstSdp.MIKEYSecSRTP.ENC_KEY_LEN` (1) –

Session Encr. key length

`GstSdp.MIKEYSecSRTP.AUTH_ALG` (2) –

Authentication algorithm

`GstSdp.MIKEYSecSRTP.AUTH_KEY_LEN` (3) –

Session Auth. key length

`GstSdp.MIKEYSecSRTP.SALT_KEY_LEN` (4) –

Session Salt key length

`GstSdp.MIKEYSecSRTP.PRF` (5) –

SRTP Pseudo Random Function

`GstSdp.MIKEYSecSRTP.KEY_DERIV_RATE` (6) –

Key derivation rate

`GstSdp.MIKEYSecSRTP.SRTP_ENC` (7) –

SRTP encryption off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.SRTCP_ENC` (8) –

SRTCP encryption off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.FEC_ORDER` (9) –

sender's FEC order

`GstSdp.MIKEYSecSRTP.SRTP_AUTH` (10) –

SRTP authentication off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.AUTH_TAG_LEN` (11) –

Authentication tag length

`GstSdp.MIKEYSecSRTP.SRTP_PREFIX_LEN` (12) –

SRTP prefix length

`GstSdp.MIKEYSecSRTP.AEAD_AUTH_TAG_LEN` (20) –

AEAD authentication tag length (Since: 1.16)

### GstSdp.MIKEYSecSRTP

This policy specifies the parameters for SRTP and SRTCP

##### Members

`GstSdp.MIKEYSecSRTP.ENC_ALG` (0) –

Encryption algorithm

`GstSdp.MIKEYSecSRTP.ENC_KEY_LEN` (1) –

Session Encr. key length

`GstSdp.MIKEYSecSRTP.AUTH_ALG` (2) –

Authentication algorithm

`GstSdp.MIKEYSecSRTP.AUTH_KEY_LEN` (3) –

Session Auth. key length

`GstSdp.MIKEYSecSRTP.SALT_KEY_LEN` (4) –

Session Salt key length

`GstSdp.MIKEYSecSRTP.PRF` (5) –

SRTP Pseudo Random Function

`GstSdp.MIKEYSecSRTP.KEY_DERIV_RATE` (6) –

Key derivation rate

`GstSdp.MIKEYSecSRTP.SRTP_ENC` (7) –

SRTP encryption off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.SRTCP_ENC` (8) –

SRTCP encryption off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.FEC_ORDER` (9) –

sender's FEC order

`GstSdp.MIKEYSecSRTP.SRTP_AUTH` (10) –

SRTP authentication off/on, 0 if off, 1 if on

`GstSdp.MIKEYSecSRTP.AUTH_TAG_LEN` (11) –

Authentication tag length

`GstSdp.MIKEYSecSRTP.SRTP_PREFIX_LEN` (12) –

SRTP prefix length

`GstSdp.MIKEYSecSRTP.AEAD_AUTH_TAG_LEN` (20) –

AEAD authentication tag length (Since: 1.16)

### GstMIKEYTSType

Specifies the timestamp type.

##### Members

`GST_MIKEY_TS_TYPE_NTP_UTC` (0) –

an NTP time in UTC timezone

`GST_MIKEY_TS_TYPE_NTP` (1) –

an NTP time

`GST_MIKEY_TS_TYPE_COUNTER` (2) –

a counter

### GstSdp.MIKEYTSType

Specifies the timestamp type.

##### Members

`GstSdp.MIKEYTSType.NTP_UTC` (0) –

an NTP time in UTC timezone

`GstSdp.MIKEYTSType.NTP` (1) –

an NTP time

`GstSdp.MIKEYTSType.COUNTER` (2) –

a counter

### GstSdp.MIKEYTSType

Specifies the timestamp type.

##### Members

`GstSdp.MIKEYTSType.NTP_UTC` (0) –

an NTP time in UTC timezone

`GstSdp.MIKEYTSType.NTP` (1) –

an NTP time

`GstSdp.MIKEYTSType.COUNTER` (2) –

a counter

### GstMIKEYType

Different MIKEY data types.

##### Members

`GST_MIKEY_TYPE_INVALID` (-1) –

Invalid type

`GST_MIKEY_TYPE_PSK_INIT` (0) –

Initiator's pre-shared key message

`GST_MIKEY_TYPE_PSK_VERIFY` (1) –

Verification message of a Pre-shared key message

`GST_MIKEY_TYPE_PK_INIT` (2) –

Initiator's public-key transport message

`GST_MIKEY_TYPE_PK_VERIFY` (3) –

Verification message of a public-key message

`GST_MIKEY_TYPE_DH_INIT` (4) –

Initiator's DH exchange message

`GST_MIKEY_TYPE_DH_RESP` (5) –

Responder's DH exchange message

`GST_MIKEY_TYPE_ERROR` (6) –

Error message

### GstSdp.MIKEYType

Different MIKEY data types.

##### Members

`GstSdp.MIKEYType.INVALID` (-1) –

Invalid type

`GstSdp.MIKEYType.PSK_INIT` (0) –

Initiator's pre-shared key message

`GstSdp.MIKEYType.PSK_VERIFY` (1) –

Verification message of a Pre-shared key message

`GstSdp.MIKEYType.PK_INIT` (2) –

Initiator's public-key transport message

`GstSdp.MIKEYType.PK_VERIFY` (3) –

Verification message of a public-key message

`GstSdp.MIKEYType.DH_INIT` (4) –

Initiator's DH exchange message

`GstSdp.MIKEYType.DH_RESP` (5) –

Responder's DH exchange message

`GstSdp.MIKEYType.ERROR` (6) –

Error message

### GstSdp.MIKEYType

Different MIKEY data types.

##### Members

`GstSdp.MIKEYType.INVALID` (-1) –

Invalid type

`GstSdp.MIKEYType.PSK_INIT` (0) –

Initiator's pre-shared key message

`GstSdp.MIKEYType.PSK_VERIFY` (1) –

Verification message of a Pre-shared key message

`GstSdp.MIKEYType.PK_INIT` (2) –

Initiator's public-key transport message

`GstSdp.MIKEYType.PK_VERIFY` (3) –

Verification message of a public-key message

`GstSdp.MIKEYType.DH_INIT` (4) –

Initiator's DH exchange message

`GstSdp.MIKEYType.DH_RESP` (5) –

Responder's DH exchange message

`GstSdp.MIKEYType.ERROR` (6) –

Error message

## Constants

### GST_MIKEY_VERSION

    #define GST_MIKEY_VERSION 1

The supported MIKEY version 1.

### GstSdp.MIKEY_VERSION

The supported MIKEY version 1.

### GstSdp.MIKEY_VERSION

The supported MIKEY version 1.

The results of the search are